
Image Component Library - Bug #501

Does not build with OpenCV 3.2

2017-02-22 09:46 - Timo Korthals

Status: Closed Start date: 2017-02-22

Priority: Normal Due date:  

Assignee: Christof Elbrechter % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The includes have changed in OpenCV 3.x, so the following patch might fix it.

But it is untested with former versions:

Index: ICLCV/src/ICLCV/OpenSurfLib.cpp

===================================================================

--- ICLCV/src/ICLCV/OpenSurfLib.cpp     (revision 4625)

+++ ICLCV/src/ICLCV/OpenSurfLib.cpp     (working copy)

@@ -53,6 +53,7 @@

 #include <opencv/highgui.h>

 #else

 #include <opencv2/highgui/highgui_c.h>

+#include <opencv2/calib3d/calib3d_c.h>

 #endif

 

Index: ICLCV/src/ICLCV/OpenCVCamCalib.cpp

===================================================================

--- ICLCV/src/ICLCV/OpenCVCamCalib.cpp  (revision 4625)

+++ ICLCV/src/ICLCV/OpenCVCamCalib.cpp  (working copy)

@@ -31,6 +31,7 @@

 #ifdef ICL_HAVE_OPENCV

 #include <opencv/cv.h>

+#include <opencv2/calib3d.hpp>

 #endif

 

Index: ICLCV/src/ICLCV/LensUndistortionCalibrator.cpp

===================================================================

--- ICLCV/src/ICLCV/LensUndistortionCalibrator.cpp      (revision 4625)

+++ ICLCV/src/ICLCV/LensUndistortionCalibrator.cpp      (working copy)

@@ -33,6 +33,7 @@

 #include <ICLUtils/StringUtils.h>

 #include <opencv/cv.h>

+#include <opencv2/calib3d.hpp>

 namespace icl{

 

Index: ICLCV/src/ICLCV/CheckerboardDetector.cpp

===================================================================

--- ICLCV/src/ICLCV/CheckerboardDetector.cpp    (revision 4625)

+++ ICLCV/src/ICLCV/CheckerboardDetector.cpp    (working copy)

@@ -35,6 +35,7 @@
 #ifdef ICL_HAVE_OPENCV

 #include <opencv/cv.h>

+#include <opencv2/calib3d.hpp>

 #endif

 namespace icl{

History

#1 - 2017-02-27 14:47 - Christof Elbrechter

- % Done changed from 0 to 100

fixed. there were some API incompatibilities ..

#2 - 2017-02-27 14:47 - Christof Elbrechter

- Status changed from New to Feedback

#3 - 2017-11-22 22:21 - Alexander Neumann

- Status changed from Feedback to Closed

Tested it with OpenCV 3.1 (Ubuntu Artful), 3.2 (Windows 10) and 3.3 (High Sierra). Should be okay I guess.
